## kbounce 18.04.3

=== debian/changelog ===
kbounce (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:15:26 +0100

=== debian/control ===
Source: kbounce
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kdegames-dev (>= 4:18.04.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbounce
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbounce

Package: kbounce
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Jezzball arcade game
 KBounce is a game where the player builds walls to confine a number of
 bouncing balls.
 .
 This package is part of the KDE games module.

## kbounce 18.12.3

=== debian/changelog ===
kbounce (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:26:40 +0000

kbounce (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:14:02 +0000

kbounce (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:09:14 +0000

kbounce (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:47:51 +0000

kbounce (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 27 Dec 2018 13:41:47 +0000

=== debian/control ===
Source: kbounce
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.30.0~),
               libkf5completion-dev (>= 5.30.0~),
               libkf5config-dev (>= 5.30.0~),
               libkf5configwidgets-dev (>= 5.30.0~),
               libkf5coreaddons-dev (>= 5.30.0~),
               libkf5crash-dev (>= 5.30.0~),
               libkf5dbusaddons-dev (>= 5.30.0~),
               libkf5doctools-dev (>= 5.30.0~),
               libkf5i18n-dev (>= 5.30.0~),
               libkf5kdegames-dev (>= 4:18.12.3~),
               libkf5kio-dev (>= 5.30.0~),
               libkf5widgetsaddons-dev (>= 5.30.0~),
               libkf5xmlgui-dev (>= 5.30.0~),
               libqt5svg5-dev (>= 5.7.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbounce
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbounce

Package: kbounce
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Jezzball arcade game
 KBounce is a game where the player builds walls to confine a number of
 bouncing balls.
 .
 This package is part of the KDE games module.

## kbounce 19.04.3

=== debian/changelog ===
kbounce (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:12:19 +0100

kbounce (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:02:50 +0100

kbounce (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:56:18 +0100

kbounce (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:41:44 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:18.12.3~),
+               libkf5kdegames-dev (>= 4:19.04.3~),
                libkf5kio-dev (>= 5.30.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),

## kbounce 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(kbounce VERSION ${KDE_APPLICATIONS_VERSION})

set (QT_MIN_VERSION "5.7.0")
set (KF5_MIN_VERSION "5.30.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons 
    Config 
    Crash
    WidgetsAddons 
    DBusAddons 
    I18n 
    ConfigWidgets 
    Completion 
    XmlGui
    KIO
    DocTools
)

find_package(KF5KDEGames 4.9.0 REQUIRED)

include(FeatureSummary)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddAppIcon)
include(ECMSetupVersion)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()

add_definitions(
    -DQT_USE_FAST_CONCATENATION
    -DQT_USE_FAST_OPERATOR_PLUS
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_USE_QSTRINGBUILDER
)

add_subdirectory(themes)
add_subdirectory(sounds)
add_subdirectory(pics)
add_subdirectory(doc)

########### next target ###############

set(kbounce_SRCS
    ball.cpp
    board.cpp
    gameobject.cpp
    gamewidget.cpp
    main.cpp 
    mainwindow.cpp 
    renderer.cpp
    wall.cpp 
    backgroundselector.cpp
)

ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KBOUNCE VERSION_HEADER kbounce_version.h)

kconfig_add_kcfg_files(kbounce_SRCS settings.kcfgc)
ki18n_wrap_ui(kbounce_SRCS  backgroundselector.ui )
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/*-apps-kbounce.png")
ecm_add_app_icon(kbounce_SRCS ICONS ${ICONS_SRCS})

add_executable(kbounce ${kbounce_SRCS})

target_link_libraries(kbounce 
  Qt5::Svg 
  KF5::XmlGui
  KF5::I18n 
  KF5::KIOWidgets
  KF5::DBusAddons
  KF5::Crash
  KF5KDEGames
)

install(TARGETS kbounce  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install(PROGRAMS org.kde.kbounce.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kbounce.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES kbounceui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kbounce)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
kbounce (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:07:10 +0000

kbounce (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:18:10 +0000

kbounce (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:52:09 +0000

kbounce (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:45:41 +0000

kbounce (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:30:27 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:19.04.3~),
+               libkf5kdegames-dev (>= 4:19.12.3~),
                libkf5kio-dev (>= 5.30.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBIN_INSTALL_DIR=/usr/games

## kbounce 20.08.1

=== debian/changelog ===
kbounce (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:51:04 +0100

kbounce (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:44:45 +0100

kbounce (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Drop the Debian man page, as it is outdated, and it offers no useful
    information.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Switch cmake parameter BIN_INSTALL_DIR to KDE_INSTALL_BINDIR, as the former
    is deprecated.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 08:49:27 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
            George Kiagiadakis <gkiagiad@csd.uoc.gr>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 11),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.30.0~),
+               gettext,
                libkf5completion-dev (>= 5.30.0~),
                libkf5config-dev (>= 5.30.0~),
                libkf5configwidgets-dev (>= 5.30.0~),
@@ -19,17 +20,18 @@
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:19.12.3~),
+               libkf5kdegames-dev (>= 4:20.08.1~),
                libkf5kio-dev (>= 5.30.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libqt5svg5-dev (>= 5.7.0~),
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.7.0~),
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbounce
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbounce
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbounce
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbounce.git
 
 Package: kbounce
 Architecture: any

## kbounce 20.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
 cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "19")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
-set(KDE_APPLICATIONS_VERSION_MICRO "3")
-set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-project(kbounce VERSION ${KDE_APPLICATIONS_VERSION})
+project(kbounce VERSION ${RELEASE_SERVICE_VERSION})
 
-set (QT_MIN_VERSION "5.7.0")
-set (KF5_MIN_VERSION "5.30.0")
+set (QT_MIN_VERSION "5.10.0")
+set (KF5_MIN_VERSION "5.46.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
 
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
@@ -38,10 +38,7 @@
 include(KDECMakeSettings)
 include(ECMAddAppIcon)
 include(ECMSetupVersion)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
-endif()
+
 
 add_definitions(
     -DQT_USE_FAST_CONCATENATION
@@ -72,7 +69,7 @@
     backgroundselector.cpp
 )
 
-ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KBOUNCE VERSION_HEADER kbounce_version.h)
+ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KBOUNCE VERSION_HEADER kbounce_version.h)
 
 kconfig_add_kcfg_files(kbounce_SRCS settings.kcfgc)
 ki18n_wrap_ui(kbounce_SRCS  backgroundselector.ui )

=== debian/changelog ===
kbounce (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.10.0
    - bump KF packages to 5.46.0
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 08 Jan 2021 08:49:03 +0100

=== debian/control ===
Source: kbounce
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.46.0~),
               gettext,
               libkf5completion-dev (>= 5.46.0~),
               libkf5config-dev (>= 5.46.0~),
               libkf5configwidgets-dev (>= 5.46.0~),
               libkf5coreaddons-dev (>= 5.46.0~),
               libkf5crash-dev (>= 5.46.0~),
               libkf5dbusaddons-dev (>= 5.46.0~),
               libkf5doctools-dev (>= 5.46.0~),
               libkf5i18n-dev (>= 5.46.0~),
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5kio-dev (>= 5.46.0~),
               libkf5widgetsaddons-dev (>= 5.46.0~),
               libkf5xmlgui-dev (>= 5.46.0~),
               libqt5svg5-dev (>= 5.10.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.10.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbounce
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbounce.git

Package: kbounce
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Jezzball arcade game
 KBounce is a game where the player builds walls to confine a number of
 bouncing balls.
 .
 This package is part of the KDE games module.

## kbounce 20.12.3

=== debian/changelog ===
kbounce (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:17:28 +0000

kbounce (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:51:51 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5dbusaddons-dev (>= 5.46.0~),
                libkf5doctools-dev (>= 5.46.0~),
                libkf5i18n-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:20.12.3~),
                libkf5kio-dev (>= 5.46.0~),
                libkf5widgetsaddons-dev (>= 5.46.0~),
                libkf5xmlgui-dev (>= 5.46.0~),

## kbounce 21.08.0

=== debian/changelog ===
kbounce (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:52:39 +0900

kbounce (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Fix up libkf5kdegames-dev version.
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 09:53:18 +0900

## kbounce 21.08.1

=== debian/changelog ===
kbounce (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:31:45 +0100

kbounce (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:00:05 +0100

kbounce (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:52:54 +0100

kbounce (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:32:06 +0100

kbounce (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:40:57 +0100

kbounce (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:37:24 +0100

kbounce (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:04:06 +0100

kbounce (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:32:39 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5dbusaddons-dev (>= 5.46.0~),
                libkf5doctools-dev (>= 5.46.0~),
                libkf5i18n-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4:20.12.3~),
+               libkf5kdegames-dev (>= 4:21.08.1~),
                libkf5kio-dev (>= 5.46.0~),
                libkf5widgetsaddons-dev (>= 5.46.0~),
                libkf5xmlgui-dev (>= 5.46.0~),

## kbounce 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "21")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kbounce VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.15.0")
set (KF5_MIN_VERSION "5.85.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons 
    Config 
    Crash
    WidgetsAddons 
    DBusAddons 
    I18n 
    ConfigWidgets 
    Completion 
    XmlGui
    KIO
    DocTools
)

find_package(KF5KDEGames 7.3.0 REQUIRED)

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055600
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

add_subdirectory(themes)
add_subdirectory(sounds)
add_subdirectory(pics)
add_subdirectory(doc)
add_subdirectory(src)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kbounce (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:08:19 +0000

kbounce (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:14:48 +0000

kbounce (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:22:39 +0000

kbounce (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:19:36 +0000

kbounce (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:03:46 +0000

kbounce (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:15:00 +0000

kbounce (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:24:13 +0000

kbounce (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:38:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kbounce
 Section: games
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -20,7 +21,7 @@
                libkf5dbusaddons-dev (>= 5.46.0~),
                libkf5doctools-dev (>= 5.46.0~),
                libkf5i18n-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4:21.08.1~),
+               libkf5kdegames-dev (>= 4:21.12.3~),
                libkf5kio-dev (>= 5.46.0~),
                libkf5widgetsaddons-dev (>= 5.46.0~),
                libkf5xmlgui-dev (>= 5.46.0~),
@@ -30,8 +31,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbounce
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbounce.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbounce
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbounce
 
 Package: kbounce
 Architecture: any

## kbounce 22.08.1

=== debian/changelog ===
kbounce (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:37:47 +0100

kbounce (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:47:55 +0100

kbounce (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:25:18 +0100

kbounce (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:59:13 +0100

kbounce (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:56:27 +0100

kbounce (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:45:42 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf5dbusaddons-dev (>= 5.46.0~),
                libkf5doctools-dev (>= 5.46.0~),
                libkf5i18n-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4:21.12.3~),
+               libkf5kdegames-dev (>= 4:22.08.1~),
                libkf5kio-dev (>= 5.46.0~),
                libkf5widgetsaddons-dev (>= 5.46.0~),
                libkf5xmlgui-dev (>= 5.46.0~),

## kbounce 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kbounce VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.15.2")
set (KF_MIN_VERSION "5.91.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(ECMQtDeclareLoggingCategory)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)

find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons 
    Config 
    Crash
    WidgetsAddons 
    DBusAddons 
    I18n 
    ConfigWidgets 
    Completion 
    XmlGui
    KIO
    DocTools
)

find_package(KF5KDEGames 7.3.0 REQUIRED)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.91
    KDEGAMES 7.3
)

add_subdirectory(themes)
add_subdirectory(sounds)
add_subdirectory(pics)
add_subdirectory(doc)
add_subdirectory(src)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== sounds/CMakeLists.txt ===




########### install files ###############

install( FILES death.wav reflect.wav wallstart.wav wallend.wav seconds.wav timeout.wav  DESTINATION  ${KDE_INSTALL_DATADIR}/kbounce/sounds )

=== debian/changelog ===
kbounce (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:13 +0100

kbounce (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:00:21 +0100

kbounce (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:26 +0100

=== debian/control ===
Source: kbounce
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libkf5completion-dev (>= 5.91.0~),
               libkf5config-dev (>= 5.91.0~),
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5crash-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5doctools-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5kdegames-dev (>= 4:21.04.0~),
               libkf5kio-dev (>= 5.91.0~),
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5xmlgui-dev (>= 5.91.0~),
               libqt5svg5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbounce
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbounce.git

Package: kbounce
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: Jezzball arcade game
 KBounce is a game where the player builds walls to confine a number of
 bouncing balls.
 .
 This package is part of the KDE games module.

## kbounce 23.08.0

=== debian/changelog ===
kbounce (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:51:56 +0100

kbounce (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:31:52 +0100

kbounce (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:44:22 +0100

kbounce (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:55:12 +0100

kbounce (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:36:00 +0000

kbounce (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:13:26 -0600

kbounce (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:12:55 +0000

kbounce (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libkf5kdegames-dev (>= 4:22.12.0~)

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 20:54:02 +0000

kbounce (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:07:00 +0000

kbounce (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:03:24 +0000

kbounce (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:48:55 +0000

kbounce (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:06:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kbounce
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Norbert Preining <norbert@preining.info>,
@@ -18,25 +19,25 @@
                libkf5dbusaddons-dev (>= 5.91.0~),
                libkf5doctools-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5kdegames-dev (>= 4:21.04.0~),
+               libkf5kdegames-dev (>= 4:23.08.0~),
                libkf5kio-dev (>= 5.91.0~),
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),
                libqt5svg5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbounce
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbounce.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbounce
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbounce
 
 Package: kbounce
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Recommends: khelpcenter,
-Breaks: ${kde-l10n:all},
-Replaces: ${kde-l10n:all},
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: khelpcenter
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: Jezzball arcade game
  KBounce is a game where the player builds walls to confine a number of
  bouncing balls.

## kbounce 23.08.1

=== debian/changelog ===
kbounce (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:57:02 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5dbusaddons-dev (>= 5.91.0~),
                libkf5doctools-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5kdegames-dev (>= 4:23.08.0~),
+               libkf5kdegames-dev (>= 4:23.08.1~),
                libkf5kio-dev (>= 5.91.0~),
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),

## kbounce 23.08.4

=== debian/changelog ===
kbounce (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:13:16 +0000

kbounce (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:32:40 +0000

kbounce (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:28:57 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5dbusaddons-dev (>= 5.91.0~),
                libkf5doctools-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5kdegames-dev (>= 4:23.08.1~),
+               libkf5kdegames-dev (>= 4:23.08.4~),
                libkf5kio-dev (>= 5.91.0~),
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),

## kbounce 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kbounce VERSION ${RELEASE_SERVICE_VERSION})
@@ -23,11 +23,18 @@
 include(ECMAddAppIcon)
 include(ECMSetupVersion)
 include(ECMDeprecationSettings)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
 include(ECMQtDeclareLoggingCategory)
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)
 
-find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
     CoreAddons 
     Config 
     Crash
@@ -41,11 +48,15 @@
     DocTools
 )
 
-find_package(KF5KDEGames 7.3.0 REQUIRED)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    find_package(KDEGames6 7.5.0 REQUIRED)
+else()
+    find_package(KF5KDEGames 7.3.0 REQUIRED)
+endif()
 
 ecm_set_disabled_deprecation_versions(
-    QT 5.15.2
-    KF 5.91
+    QT 6.4
+    KF 5.103
     KDEGAMES 7.3
 )

=== debian/changelog ===
kbounce (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:03:45 +1100

kbounce (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:44:49 +0000

kbounce (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:38:23 -0700

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5dbusaddons-dev (>= 5.91.0~),
                libkf5doctools-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5kdegames-dev (>= 4:23.08.4~),
+               libkf5kdegames-dev (>= 4:23.08.5~),
                libkf5kio-dev (>= 5.91.0~),
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),

## kbounce 24.08.2

=== debian/changelog ===
kbounce (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:53:04 -0500

kbounce (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 01 Nov 2024 21:30:28 -0500

=== debian/control ===
Source: kbounce
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev,
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbounce
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbounce

Package: kbounce
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: Jezzball arcade game
 KBounce is a game where the player builds walls to confine a number of
 bouncing balls.
 .
 This package is part of the KDE games module.

## kbounce 24.12.0

=== debian/changelog ===
kbounce (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:07:48 +0000

kbounce (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:05:01 +0000

kbounce (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 12:47:13 +0000

kbounce (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:38:03 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev,
+               libkdegames6-dev (>= 4:24.12.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),

## kbounce 24.12.1

=== debian/changelog ===
kbounce (4:24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 Jan 2025 18:05:07 +0100

kbounce (4:24.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 21 Dec 2024 14:45:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kbounce
 Section: games
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Norbert Preining <norbert@preining.info>,
@@ -11,7 +10,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:24.12.0~),
+               libkdegames6-dev,
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
@@ -29,8 +28,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbounce
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbounce
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbounce
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbounce.git
 
 Package: kbounce
 Architecture: any

## kbounce 24.12.2

=== debian/changelog ===
kbounce (4:24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 01 Mar 2025 00:18:57 +0100
